#pragma once

#include "terrainModificationTechnique.h"


terrainModificationTechnique::terrainModificationTechnique()
{

}

terrainModificationTechnique::~terrainModificationTechnique()
{

}

region::region()
{
	_lat_min = 0.0;
	_lat_max = 0.0;
	_lon_min = 0.0;
	_lon_max = 0.0;
}

region::region(	double lat_min, double lat_max, double lon_min, double lon_max)
{
	_lat_min = lat_min;
	_lat_max = lat_max;
	_lon_min = lon_min;
	_lon_max = lon_max;
}

bool region::isInside(region& outsider)
{
	if( outsider._lat_min <= _lat_min && _lat_max <= outsider._lat_max && outsider._lon_min <= _lon_min && _lon_max <= outsider._lon_max )
		return true;
	else
		return false;
}

bool region::isFullOrPartiallyInside(region& outsider)
{
	if( outsider._lat_min <= _lat_max && _lat_min <= outsider._lat_max && outsider._lon_min <= _lon_max && _lon_min <= outsider._lon_max )
		return true;
	else
		return false;
}